@CHARSET "ISO-8859-1";

/* ******************************* */
/* Instructions purement structurelles de la mise en forme : largeur, hauteur, emplacement...
/* La taille de la police est du structurel !
/* Tout ce qui est dans ce fichier ne doit pas entrer dans une possible personnalisation de l'interface. 
/* Ce fichier doit être déclaré en dernière position dans le fichier HTML
/* ******************************* */


body {margin:0; padding:0;};

/** Pour ne pas avoir d'espace sous IE */
form{ 
	margin:0;
	padding:0;
}


/* MENU DEROULANT */
.bandeau_menu {height:22px; margin:0; padding:0;}
ul.menu {list-style:none; margin:0; padding:0;}
ul.menu * {margin:0; padding:0;}
ul.menu a {display:block;}
ul.menu li {position:relative; float:left; margin-right:2px; z-index: 15;}
ul.menu>li {height:22px;} /* 2019-03-19 : ajout pour ne pas avoir des pixels entre le li et les ul suivants */
/* 2019-02-28 : top:23px laissait un espace de 1px qui faisait que l'on peut sortir du menu et qui provoque le scintillement */
ul.menu ul {position:absolute; top:22px; left:5px; display:none; opacity:0; list-style:none;}
ul.menu ul li {position:relative; width:150px; margin:0;}
ul.menu ul li a {display:block; padding:3px 7px 5px;}
ul.menu .menulink {padding: 3px 5px 3px 5px;}
ul.menu ul ul {left:150px; top:0px;}

ul.menu a {font-size:11px;}
ul.menu a:hover {font-size:11px;}
a.menulink {margin-left: 5px; margin-right: 5px;}

/* Bandeau sous le menu */
.bandeau_message {height:22px;width:100%;}
.bandeau_haut {height:105px;width:100%;}
.sous_bandeau_haut {height:12px;width:100%}

/* Gestion du bandeau flottant */
.bandeau_menu.floatable {position:fixed; top:0px; width:100%; z-index:10;} /* 2016-12-13 : z-index pour que le menu soit toujours devant le bandeau haut */
.bandeau_haut.floatable {position:fixed; top:22px; /* la hauteur de .bandeau_menu */ width:100%; z-index:9;}
.corps_table.bandeau_haut_flottant {margin-top:127px; /* la hauteur de .bandeau_menu + .bandeau_haut */}


.ul_identite_utilisateur {list-style:none; font-size:11px; margin:0; padding:0; display:block; position:absolute; cursor:pointer; z-index:15;}
.identite_utilisateur {display:inline-block; max-width:130px; text-overflow:ellipsis; overflow:hidden; white-space:nowrap;} /* 2017-07-24 : ajout ellipsis pour gérer les noms longs, 2019-07-22 : changement largeur 150px->130px pour que l'image reste dans le td de 150px */
.img_menu_utilisateur {/*margin-left:5px;*/ vertical-align:top; margin-top:5px;}
.ul_identite_utilisateur li {height:20px;}
.ul_menu_utilisateur {list-style:none; margin:2px; padding:2px;}
.ul_menu_utilisateur li {cursor:pointer; padding:5px; display:block; min-width:100px;}


/* Table structurelle de la page */
.corps_table {border-collapse:collapse; width:100%; min-width:765px;}
.corps_tr {vertical-align:top;}
.corps_td {padding:4px;}
.corps_td.nopadding {padding:0px;}

/* Elements structurels visuel */ 
.encadre_div, .encadre_div_nopied {padding:10px;}
.encadre_div_max {max-width:1000px;}
.encadre_entete, .encadre_pied {padding:5px; font-weight:bold; font-size:13px;}
.encadre_detail {padding:0px 10px 0px 10px; margin:5px 5px 10px 5px; clear:both;}

.detail_titre {padding:5px; margin-bottom:5px;}
.detail_titre_img {display:block; float:right;}
.detail_titre_img_info {display:block; float:right; margin-left:10px;}

.action_titre {font-size:12px; font-weight:normal; padding:5px 10px; margin-top:5px; display:block; float:left;}
.action_content {font-size:12px; font-weight:normal; padding:5px 10px; margin-top:5px; margin-left:126px; display:block;}
.action_content a {cursor:pointer;}
.action_separ {padding:0 2px;} /* 2017-09-22 SM : passage de 5px à 2px car les espaces html ne sont plus supprimés dans mit_controle.js */

/* Zones de saisie */
.input_champ,
.input_champ_civilite,
.input_champ_identite,
.input_champ_cp,
.input_champ_cp_long,
.input_champ_ville,
.input_champ_date,
.input_champ_time,
.input_champ_montant,
.input_champ_annee,
.recherche_input,
.list_critere {font-size:12px; font-weight:normal;}

/* 2018-11-05 : comme input_champ_date, ... n'est pas en complément mais remplace input_champ, il manquait margin et padding. */
/* 2019-07-17 : tentative avortée d'ajout padding de 2px à gauche et droite pour ne pas coller la bordure des input de type text. */

.input_champ {width:98%; margin:0; padding:2px 0;}

/* Test 2019-07-17
.input_champ[type=text] {width:calc(100% - 4px);} c'est mieux que 98% mais c'est du CCS3.
Pourquoi -4px ? car la bordure de l'input est de 2px par défaut ! (mais pas défini dans notre CSS) */
/* FIXME 2019-07-19 modif pour avoir un simple padding dans une zone text met tout en l'air !
.input_champ[type=text] {padding:2px 0 2px 2px;} */
/* ce style change la largeur du champ quand il est dans un td (pourquoi ?) 
=> on compense en redéfinissant cette largeur en retranchant -4px pour les 2 paddings de 2px à gauche et droite
td>.input_champ[type=text] {width:calc(100% - 8px);}
td>select.input_champ {width:calc(100% - 4px);} */

/* FIXME 2020-07-08 : utiliser "box-sizing: border-box;" serait la solution. Les paddings et bordures sont incluses dans la taille => width:70px = 70px et non 72 à cause des bordures. */

.input_champ_civilite {width:70px; margin:0; padding:2px 0;} /* 2019-10-09 : passage 80px->70px */
.input_champ_cp       {width:50px; margin:0; padding:2px 0;}
.input_champ_cp_long  {width:80px; margin:0; padding:2px 0;}
.input_champ_date     {width:70px; margin:0; padding:2px 0;} 
.input_champ_time     {width: 0px; margin:0; padding:2px 0;}
.input_champ_montant  {width:70px; margin:0; padding:2px 0; text-align:right;}
.input_champ_annee    {width:40px; margin:0; padding:2px 0;}
.recherche_input      {width:170px;}
.list_critere {width:100px;}

/* FIXME 2019-07-19 : modif qui doit souffrir du même problème que plus haut
.input_champ_cp, .input_champ_cp_long, .input_champ_date, .input_champ_time, .input_champ_montant, .input_champ_annee {padding:2px 0 2px 2px;} */

/* Zones non modifiables (intitulé des zones ...)*/
/* 2016-03-01 SM : ajout line-height = hauteur de la font + 3px pour les champs standards utilisées dans les TB (lib_champ et valeur_champ) 
Car c'est le rendu par défaut de Firefox 22 qui a servi pour déterminer les tailles de TB, ... */
.lib_champ_titre, .lib_champ_titre a {font-size:14px; font-weight:bold;}
.lib_champ, .lib_champ a, .lib_lien, .lib_lien a {font-size:12px; font-weight:normal; line-height:15px;}
.valeur_champ {font-size:12px; font-weight:normal; line-height:15px;}
.valeur_champ textarea {width:100%;}

/* Menu Général de gauche (2014-05-21 copie de mnu_adhesion) */
#mnu_general .lib_champ_titre, #mnu_general .lib_lien, #mnu_general .lib_champ, #mnu_general .lib_select {padding:10px 5px;}
#mnu_general .lib_select img {height:16px; line-height:16px;}
#mnu_general div {cursor:pointer;}

/* Adhésion */
#mnu_adhesion .lib_champ_titre, #mnu_adhesion .lib_lien, #mnu_adhesion .lib_champ, #mnu_adhesion .lib_select {padding:10px 5px;}
#mnu_adhesion .lib_select img {height:16px; line-height:16px;}
#mnu_adhesion div {cursor:pointer;}

/* Produit (2014-04-11 copie de mnu_adhesion) */
#mnu_produit .lib_champ_titre, #mnu_produit .lib_lien, #mnu_produit .lib_champ, #mnu_produit .lib_select {padding:10px 5px;}
#mnu_produit .lib_select img {height:16px; line-height:16px;}
#mnu_produit div {cursor:pointer;}

/* TPO (2014-05-14 copie de mnu_adhesion) */
#mnu_tpo_param .lib_champ_titre, #mnu_tpo_param .lib_lien, #mnu_tpo_param .lib_champ, #mnu_tpo_param .lib_select {padding:10px 5px;}
#mnu_tpo_param .lib_select img {height:16px; line-height:16px;}
#mnu_tpo_param div {cursor:pointer;}

/* Clé tarifaire (2015-04-15 copie de mnu_adhesion) */
#mnu_cle_tarif .lib_champ_titre, #mnu_cle_tarif .lib_lien, #mnu_cle_tarif .lib_champ, #mnu_cle_tarif .lib_select {padding:10px 5px;}
#mnu_cle_tarif .lib_select img {height:16px; line-height:16px;}
#mnu_cle_tarif div {cursor:pointer;}

/* DSN (2017-04-13 copie de mnu_adhesion) */
#mnu_dsn .lib_champ_titre, #mnu_dsn .lib_lien, #mnu_dsn .lib_champ, #mnu_dsn .lib_select {line-height:28px;/*padding:10px 5px;*/}
#mnu_dsn .lib_select img {height:16px; line-height:16px;}
#mnu_dsn div {cursor:pointer;}


.btn:hover, .btn_prec_first:hover, .btn_precedent:hover, .btn_suiv_last:hover, .btn_suivant:hover {opacity:0.6; filter:alpha(opacity=60);}
.button {cursor:pointer; margin:0 10px;}
.button_hover {opacity:0.6; filter:alpha(opacity=60);}
.button_disabled, .button_disabled:hover {opacity:0.2; filter:alpha(opacity=20); cursor:default;}

#msgbox {display:block; position:absolute; padding:3px;}

/* Définition des droits */
.div_btn_expand {position: relative; float: left; width:24px; margin-right:5px; cursor:pointer;}
table.module 	{font-size:13px; text-align: left; width: 98%; margin-left: 1%; margin-right: 1%; margin-bottom: 10px;}
table.ecran		{font-size: 12px; text-align: left; width: 98%; margin-left: 1%; margin-right: 1%; margin-bottom: 2px;}
tr.ecran		{line-height:20px;} /* 2019-07-18 SM : ajout */
table.fonction	{font-size:12px; text-align: left; margin-left: 30px; border-collapse: collapse;}
tr.fonction		{vertical-align: top; border: none; cursor: pointer;}
td.fonction		{width: 360px; padding-left: 5px;}
.mod			{padding: 5px; cursor: pointer;}

/* gestion des documents */
.div_module 			{font-size:13px; text-align: left; margin-bottom: 10px; padding:5px;}
.div_module_titre		{cursor:pointer; padding:5px;}
.div_module_titre span	{margin-left:25px;}
.div_ecran				{font-size: 12px; text-align: left; width: 99%; margin-left:1%; margin-bottom: 2px; padding:3px 0;}
.div_ecran_btn_expand	{float:left; margin-right:7px;}
.div_ecran_titre		{cursor:pointer; padding:5px;}
.div_document 			{font-size:12px; text-align:left; margin:1px 0 1px 22px; padding:2px 5px;}


